# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
- Added GPX parser
- Added optional dry-run modifier
- Made timezone-aware for timesources without timezone
- Added optional parameter to override timezone to local timezone, defaults to localtime
- Swith to oop style programming. Made code easier to read.

## [0.2] - 2020-02-05
### Added
- uses pyexiv2 instead of piexif which is also able to tag various camera raw formats, e. g. CR2
- added copy function to be able to place files to outdir before modification
- added verbose output about what it going to happen
- added table header for output

### Changed
- removed unnecessary datetime object creation as pyexiv2 can output datetime objects itself
- removed obsolete "Processing..." message, as it was never visible.

## [0.1] - 2020-02-02
First prototype using piexif

### Added
- argument parsing enabled
- parametrized factor to calculate Sieverts
- parametrized output dir
- usage of os.path to be os-aware
- output in a tablish manner

### Changed
- exchanged selfmade CSV parser by python's core CSV library
